Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSurfaceBox Class Reference
GoSdk/Tools » Surface

## Description

Represents a surface bounding box tool.

Inheritance diagram for GoSurfaceBox:

## Public Member Functions
GoBoxAsymmetryType | GoSurfaceBox_AsymmetryDetectionType (GoSurfaceBox tool)
| Gets the asymmetry detection type. More...
kStatus | GoSurfaceBox_EnableRegion (GoSurfaceBox tool, kBool enable)
| Enables or disables the tool region. More...
kStatus | GoSurfaceBox_EnableZRotation (GoSurfaceBox tool, kBool enable)
| Enables or disables Z-rotation. More...
GoSurfaceBoxGlobalX | GoSurfaceBox_GlobalXMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox global X measurement object. More...
GoSurfaceBoxGlobalY | GoSurfaceBox_GlobalYMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox global Y measurement object. More...
GoSurfaceBoxGlobalZAngle | GoSurfaceBox_GlobalZAngleMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox global Z Angle measurement object. More...
GoSurfaceBoxHeight | GoSurfaceBox_HeightMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Height measurement object. More...
GoSurfaceBoxLength | GoSurfaceBox_LengthMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Length measurement object. More...
GoRegion3d | GoSurfaceBox_Region (GoSurfaceBox tool)
| Gets the surface bounding box region. More...
kBool | GoSurfaceBox_RegionEnabled (GoSurfaceBox tool)
| Returns the enabled state of the tool region. More...
kStatus | GoSurfaceBox_SetAsymmetryDetectionType (GoSurfaceBox tool, GoBoxAsymmetryType value)
| Sets the asymmetry detection type. More...
GoSurfaceBoxWidth | GoSurfaceBox_WidthMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Width measurement object. More...
GoSurfaceBoxX | GoSurfaceBox_XMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox X measurement object. More...
GoSurfaceBoxY | GoSurfaceBox_YMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Y measurement object. More...
GoSurfaceBoxZAngle | GoSurfaceBox_ZAngleMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Z Angle measurement object. More...
GoSurfaceBoxZ | GoSurfaceBox_ZMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Z measurement object. More...
kBool | GoSurfaceBox_ZRotationEnabled (GoSurfaceBox tool)
| Returns the enabled state of Z-rotation. More...
kStatus | GoSurfaceTool_SetSource (GoSurfaceTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoSurfaceTool_SetXAnchor (GoSurfaceTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoSurfaceTool_SetYAnchor (GoSurfaceTool tool, k32s id)
| Sets the Y-anchoring source. More...
kStatus | GoSurfaceTool_SetZAnchor (GoSurfaceTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoSurfaceTool_Source (GoSurfaceTool tool)
| Gets the data source. More...
k32u | GoSurfaceTool_SourceOptionAt (GoSurfaceTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoSurfaceTool_SourceOptionCount (GoSurfaceTool tool)
| Gets the data source option list count. More...
k32s | GoSurfaceTool_XAnchor (GoSurfaceTool tool)
| Gets the current X-anchoring source. More...
kBool | GoSurfaceTool_XAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoSurfaceTool_XAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoSurfaceTool_XAnchorOptionCount (GoSurfaceTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoSurfaceTool_YAnchor (GoSurfaceTool tool)
| Gets the current Y-anchoring source. More...
kBool | GoSurfaceTool_YAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Y-anchoring source has been set for Y-anchoring. More...
k32u | GoSurfaceTool_YAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Y-anchoring option at the given index. More...
kSize | GoSurfaceTool_YAnchorOptionCount (GoSurfaceTool tool)
| Gets the Y-anchoring option list count. More...
k32s | GoSurfaceTool_ZAnchor (GoSurfaceTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoSurfaceTool_ZAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoSurfaceTool_ZAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h